/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export let ToolActionFieldSelectorSelectedAggregationDescription = /*@__PURE__*/ (() => {
    class ToolActionFieldSelectorSelectedAggregationDescription extends Description {
        get_type() {
            return "ToolActionFieldSelectorSelectedAggregation";
        }
        get type() {
            return this.get_type();
        }
        constructor() {
            super();
            this.l = null;
            this.k = null;
            this.j = null;
        }
        get field() {
            return this.l;
        }
        set field(a) {
            this.l = a;
            this.g("Field");
        }
        get aggregationOperand() {
            return this.k;
        }
        set aggregationOperand(a) {
            this.k = a;
            this.g("AggregationOperand");
        }
        get aggregationName() {
            return this.j;
        }
        set aggregationName(a) {
            this.j = a;
            this.g("AggregationName");
        }
    }
    ToolActionFieldSelectorSelectedAggregationDescription.$t = /*@__PURE__*/ markType(ToolActionFieldSelectorSelectedAggregationDescription, 'ToolActionFieldSelectorSelectedAggregationDescription', Description.$);
    ToolActionFieldSelectorSelectedAggregationDescription.__marshalByValue = true;
    ToolActionFieldSelectorSelectedAggregationDescription.__marshalByValueAlias = "ToolActionFieldSelectorSelectedAggregation";
    return ToolActionFieldSelectorSelectedAggregationDescription;
})();
